Bug 175796 - sysutils/p5-MogileFS-Server: update to 2.67
sysutils/p5-MogileFS-Server: update to 2.67
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Frederic Culot
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-03 12:10 UTC by Mikolaj Golub
Modified: 2013-02-09 15:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.79 KB, patch)
2013-02-03 12:10 UTC, Mikolaj Golub
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikolaj Golub freebsd_committer 2013-02-03 12:10:00 UTC
2.67 contains a fix for the mogstored daemonization issue, so files/patch-mogstored is not needed any more.

The full list of 2.67 changes:

2013-02-02: Release version 2.67

   * Serialize tempfile reaping (dormando <dormando@rydia.net>)

   * reaper: ensure worker can be stopped via "!want" (Eric Wong <normalperson@yhbt.net>)

   * domain removal also removes its default class (Eric Wong <normalperson@yhbt.net>)

   * store: wrap create_class in a transaction to avoid races (Eric Wong <normalperson@yhbt.net>)

   * mogstored: fix kqueue usage with daemonization (Eric Wong <normalperson@yhbt.net>)

   * Filter the devices before we do an expensive sort. (Dave Lambley <davel@state51.co.uk>)

   * httpfile: avoid killing worker on down sidechannel (Eric Wong <normalperson@yhbt.net>)

   * move checksum and tempfile delete to delete worker (Eric Wong <normalperson@yhbt.net>)

   * sqlite: use immediate transactions to prevent busy errors (Eric Wong <normalperson@yhbt.net>)

   * disable Nagle's algorithm for accepted clients (Eric Wong <normalperson@yhbt.net>)

   * ProcManager: favor using recently-used queryworkers (Eric Wong <normalperson@yhbt.net>)

   * Do both sorts in one method, to save on shared initialisation. (Dave Lambley <davel@state51.co.uk>)

   * Pull out device sorting into it's own method for overriding. (Dave Lambley <davel@state51.co.uk>)

   * Reseed the random number generator after forking. (Dave Lambley <davel@state51.co.uk>)

   * support nginx server type in mogstored command line options (Daniel Frett <daniel.frett@ccci.org>)
     (also Gernot Vormayr <notti@gbcc.at>, others)

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-02-03 12:10:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Frederic Culot freebsd_committer 2013-02-08 08:26:12 UTC
Responsible Changed
From-To: perl->culot

I'll take it.
Comment 3 dfilter freebsd_committer 2013-02-09 15:10:43 UTC
Author: culot
Date: Sat Feb  9 15:10:29 2013
New Revision: 311984
URL: http://svnweb.freebsd.org/changeset/ports/311984

Log:
  - Update to 2.67
  
  Changes:	http://search.cpan.org/dist/MogileFS-Server/CHANGES
  PR:		ports/175796
  Submitted by:	trociny@ (maintainer)

Deleted:
  head/sysutils/p5-MogileFS-Server/files/patch-mogstored
Modified:
  head/sysutils/p5-MogileFS-Server/Makefile
  head/sysutils/p5-MogileFS-Server/distinfo   (contents, props changed)
  head/sysutils/p5-MogileFS-Server/pkg-plist   (contents, props changed)

Modified: head/sysutils/p5-MogileFS-Server/Makefile
==============================================================================
--- head/sysutils/p5-MogileFS-Server/Makefile	Sat Feb  9 14:50:27 2013	(r311983)
+++ head/sysutils/p5-MogileFS-Server/Makefile	Sat Feb  9 15:10:29 2013	(r311984)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	MogileFS-Server
-PORTVERSION=	2.66
-PORTREVISION=	1
+PORTVERSION=	2.67
 CATEGORIES=	sysutils perl5
 MASTER_SITES=	CPAN
 MASTER_SITE_SUBDIR=	CPAN:DORMANDO

Modified: head/sysutils/p5-MogileFS-Server/distinfo
==============================================================================
--- head/sysutils/p5-MogileFS-Server/distinfo	Sat Feb  9 14:50:27 2013	(r311983)
+++ head/sysutils/p5-MogileFS-Server/distinfo	Sat Feb  9 15:10:29 2013	(r311984)
@@ -1,2 +1,2 @@
-SHA256 (MogileFS-Server-2.66.tar.gz) = a60cf63dcc9abd7cda797eb125a1da1caf86ecfd15a4e169b84d9fea7b68095a
-SIZE (MogileFS-Server-2.66.tar.gz) = 179070
+SHA256 (MogileFS-Server-2.67.tar.gz) = 9347f762875ec99b132a096b9ef74237d79fcb1f198372e78b1764d3569071dd
+SIZE (MogileFS-Server-2.67.tar.gz) = 181847

Modified: head/sysutils/p5-MogileFS-Server/pkg-plist
==============================================================================
--- head/sysutils/p5-MogileFS-Server/pkg-plist	Sat Feb  9 14:50:27 2013	(r311983)
+++ head/sysutils/p5-MogileFS-Server/pkg-plist	Sat Feb  9 15:10:29 2013	(r311984)
@@ -51,6 +51,7 @@ bin/mogstored
 %%SITE_PERL%%/Mogstored/HTTPServer.pm
 %%SITE_PERL%%/Mogstored/HTTPServer/Apache.pm
 %%SITE_PERL%%/Mogstored/HTTPServer/Lighttpd.pm
+%%SITE_PERL%%/Mogstored/HTTPServer/Nginx.pm
 %%SITE_PERL%%/Mogstored/HTTPServer/None.pm
 %%SITE_PERL%%/Mogstored/HTTPServer/Perlbal.pm
 %%SITE_PERL%%/Mogstored/SideChannelClient.pm
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Frederic Culot freebsd_committer 2013-02-09 15:11:22 UTC
State Changed
From-To: open->closed

Committed, with minor changes (PORTREVISION removed, plist updated). 
Thanks!